{
        "name" : "GoogleMapsSpeedLimits",
        "displayName" : "GoogleMapsSpeedLimits",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.maps.SpeedLimitsWorkitemHandler(\"apiKey\")",
        "documentation" : "google-maps-workitem/index.html",
        "module" : "google-maps-workitem",
        "icon" : "GoogleMapsSpeedLimits.png",
            "category" : "Google Maps",
            "description" : "Interact with Google Maps Services",
            "keywords" : [
                                "google"
                ,"maps"
                ,"speedlimit"
                ,"places"

            ],
                "isaction" : "true",
                "actiontitle" : "Get speedlimits for places using Google Maps",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google maps api key"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/maps/premium/previous-licenses/clientside/auth",
            "parameters" : [
                                   {
                                       "name" : "PlaceIds",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Speedlimits",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-maps-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleMapsStaticMaps",
        "displayName" : "GoogleMapsStaticMaps",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.maps.StaticMapsWorkitemHandler(\"apiKey\")",
        "documentation" : "google-maps-workitem/index.html",
        "module" : "google-maps-workitem",
        "icon" : "GoogleMapsStaticMaps.png",
            "category" : "Google Maps",
            "description" : "Interact with Google Maps Services",
            "keywords" : [
                                "google"
                ,"maps"
                ,"directions"
                ,"locations"

            ],
                "isaction" : "true",
                "actiontitle" : "Get directions using Google Maps",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google maps api key"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/maps/premium/previous-licenses/clientside/auth",
            "parameters" : [
                                   {
                                       "name" : "Markers",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Zoom",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Height",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "CenterLocation",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Scale",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Width",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "MapType",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "StaticMap",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-maps-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleMapsGeocoding",
        "displayName" : "GoogleMapsGeocoding",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.maps.GeocodingWorkitemHandler(\"apiKey\")",
        "documentation" : "google-maps-workitem/index.html",
        "module" : "google-maps-workitem",
        "icon" : "GoogleMapsGeocoding.png",
            "category" : "Google Maps",
            "description" : "Interact with Google Maps Services",
            "keywords" : [
                                "google"
                ,"maps"
                ,"geocoding"
                ,"locations"

            ],
                "isaction" : "true",
                "actiontitle" : "Get geocoding information using Google Maps",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google maps api key"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/maps/premium/previous-licenses/clientside/auth",
            "parameters" : [
                                   {
                                       "name" : "SearchLocation",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Bounds",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "SearchType",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "LocationType",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "GeocodingResults",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-maps-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleMapsTimezone",
        "displayName" : "GoogleMapsTimezone",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.maps.TimezoneWorkitemHandler(\"apiKey\")",
        "documentation" : "google-maps-workitem/index.html",
        "module" : "google-maps-workitem",
        "icon" : "GoogleMapsTimezone.png",
            "category" : "Google Maps",
            "description" : "Interact with Google Maps Services",
            "keywords" : [
                                "google"
                ,"maps"
                ,"timezone"
                ,"locations"

            ],
                "isaction" : "true",
                "actiontitle" : "Get timezone information using Google Maps",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google maps api key"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/maps/premium/previous-licenses/clientside/auth",
            "parameters" : [
                                   {
                                       "name" : "LatLong",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "TimezonResults",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-maps-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleMapsDirections",
        "displayName" : "GoogleMapsDirections",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.maps.DirectionsWorkitemHandler(\"apiKey\")",
        "documentation" : "google-maps-workitem/index.html",
        "module" : "google-maps-workitem",
        "icon" : "GoogleMapsDirections.png",
            "category" : "Google Maps",
            "description" : "Interact with Google Maps Services",
            "keywords" : [
                                "google"
                ,"maps"
                ,"directions"
                ,"locations"

            ],
                "isaction" : "true",
                "actiontitle" : "Get directions using Google Maps",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google maps api key"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/maps/premium/previous-licenses/clientside/auth",
            "parameters" : [
                                   {
                                       "name" : "Origin",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Destination",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Mode",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Avoid",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Units",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Directions",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-maps-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
